summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
m---------contrib/gana0
-rwxr-xr-xsrc/auditor/generate-auditor-basedb.sh2
-rwxr-xr-xsrc/auditor/test-auditor.sh4
-rwxr-xr-xsrc/auditor/test-revocation.sh2
-rw-r--r--src/exchangedb/drop0001.sql3
5 files changed, 5 insertions, 6 deletions
diff --git a/contrib/gana b/contrib/gana
-Subproject 3f974ec9d5fd9ce604ac612cc344d3f50bd993c
+Subproject 05da9c93fc7fff258e54a9413d11ea72a82fe03
diff --git a/src/auditor/generate-auditor-basedb.sh b/src/auditor/generate-auditor-basedb.sh
index 121e51d9b..86e8fe2ec 100755
--- a/src/auditor/generate-auditor-basedb.sh
+++ b/src/auditor/generate-auditor-basedb.sh
@@ -56,7 +56,7 @@ cp generate-auditor-basedb-template.conf $CONF
echo -n "Testing for taler-bank-manage"
-taler-bank-manage -h >/dev/null </dev/null || exit_skip " MISSING"
+taler-bank-manage --help >/dev/null </dev/null || exit_skip " MISSING"
echo " FOUND"
echo -n "Testing for taler-wallet-cli"
taler-wallet-cli -v >/dev/null </dev/null || exit_skip " MISSING"
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 92840d48a..14d4a647e 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -362,7 +362,7 @@ echo "OK"
function test_2() {
echo "===========2: reserves_in inconsistency==========="
-echo "UPDATE reserves_in SET credit_val=5 WHERE reserve_in_serial_id=1" | psql -Aqt $DB
+echo "UPDATE reserves_in SET credit_val=5 WHERE reserve_in_serial_id=1" | psql -At $DB
run_audit
@@ -1848,7 +1848,7 @@ CONF=test-auditor.conf
echo "Testing for jq"
jq -h > /dev/null || exit_skip "jq required"
echo "Testing for taler-bank-manage"
-taler-bank-manage -h >/dev/null </dev/null || exit_skip "taler-bank-manage required"
+taler-bank-manage --help >/dev/null </dev/null || exit_skip "taler-bank-manage required"
echo "Testing for pdflatex"
which pdflatex > /dev/null </dev/null || exit_skip "pdflatex required"
diff --git a/src/auditor/test-revocation.sh b/src/auditor/test-revocation.sh
index dfec08a17..6e1b2f847 100755
--- a/src/auditor/test-revocation.sh
+++ b/src/auditor/test-revocation.sh
@@ -520,7 +520,7 @@ CONF=test-auditor.conf
echo "Testing for jq"
jq -h > /dev/null || exit_skip "jq required"
echo "Testing for taler-bank-manage"
-taler-bank-manage -h >/dev/null </dev/null || exit_skip "taler-bank-manage required"
+taler-bank-manage --help >/dev/null </dev/null || exit_skip "taler-bank-manage required"
echo "Testing for pdflatex"
which pdflatex > /dev/null </dev/null || exit_skip "pdflatex required"
diff --git a/src/exchangedb/drop0001.sql b/src/exchangedb/drop0001.sql
index 4d06fd510..f5a28192f 100644
--- a/src/exchangedb/drop0001.sql
+++ b/src/exchangedb/drop0001.sql
@@ -17,8 +17,7 @@
-- Everything in one big transaction
BEGIN;
--- This script DROPs all of the tables we create, including the
--- versioning schema!
+-- This script DROPs all of the tables we create.
--
-- Unlike the other SQL files, it SHOULD be updated to reflect the
-- latest requirements for dropping tables.